Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PolicyList_var Class Reference

`#include <Policy_ForwardC.h>`

List of all members.

## Public Methods
| PolicyList_var (void)
| PolicyList_var (PolicyList *)
| PolicyList_var (const PolicyList_var &)
| ~PolicyList_var (void)
PolicyList_var & | operator= (PolicyList *)
PolicyList_var & | operator= (const PolicyList_var &)
PolicyList * | operator-> (void)
const PolicyList * | operator-> (void) const
| operator const PolicyList & () const
| operator PolicyList & ()
| operator PolicyList & () const
| operator PolicyList *& ()
TAO_Object_Manager< Policy, Policy_var > | operator[] (CORBA::ULong index)
const PolicyList & | in (void) const
PolicyList & | inout (void)
PolicyList *& | out (void)
PolicyList * | _retn (void)
PolicyList * | ptr (void) const
## Private Attributes
PolicyList * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA::PolicyList_var::PolicyList_var | ( | void |  | ) |

ACE_INLINE CORBA::PolicyList_var::PolicyList_var | ( | PolicyList * | p | ) |

CORBA::PolicyList_var::PolicyList_var | ( | const PolicyList_var & |  | ) |

ACE_INLINE CORBA::PolicyList_var::~PolicyList_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE::CORBA::PolicyList * CORBA::PolicyList_var::_retn | ( | void |  | ) |

ACE_INLINE const ::CORBA::PolicyList & CORBA::PolicyList_var::in | ( | void |  | ) | const

ACE_INLINE::CORBA::PolicyList & CORBA::PolicyList_var::inout | ( | void |  | ) |

CORBA::PolicyList_var::operator const PolicyList & | ( |  | ) | const

CORBA::PolicyList_var::operator PolicyList & | ( |  | ) | const

CORBA::PolicyList_var::operator PolicyList & | ( |  | ) |

CORBA::PolicyList_var::operator PolicyList *& | ( |  | ) |

ACE_INLINE const ::CORBA::PolicyList * CORBA::PolicyList_var::operator-> | ( | void |  | ) | const

ACE_INLINE::CORBA::PolicyList * CORBA::PolicyList_var::operator-> | ( | void |  | ) |

PolicyList_var& CORBA::PolicyList_var::operator= | ( | const PolicyList_var & |  | ) |

ACE_INLINE CORBA::PolicyList_var & CORBA::PolicyList_var::operator= | ( | PolicyList * | p | ) |

CORBA::Policy_var CORBA::PolicyList_var::operator[] | ( | CORBA::ULong | index | ) |

ACE_INLINE::CORBA::PolicyList *& CORBA::PolicyList_var::out | ( | void |  | ) |

ACE_INLINE::CORBA::PolicyList * CORBA::PolicyList_var::ptr | ( | void |  | ) | const

## Member Data Documentation

PolicyList* CORBA::PolicyList_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Policy_ForwardC.h
- Policy_ForwardC.i